#!/bin/sh

if [ -d $1 ]; then
  export JAVA_HOME=$1
  export PATH=$PATH:$2
else
  export JAVA_HOME=$(dirname $(dirname $(readlink -f /usr/bin/java)))
  export PATH=$PATH:$JAVA_HOME/bin
fi

export JBOSS_MODULEPATH=$3

if [ "$9" = "O" ]; then
   wildflyOpts=""
else
   wildflyOpts=`echo "$9" | sed 's/^O//'`
fi

if [ "$8" = "H" ]; then
   $4 -c $5 -b $6 $wildflyOpts >$7 2>&1
else
   hostConfig=`echo "$8" | sed 's/^H//'`
   $4 --host-config=$hostConfig -c $5 -b $6 $wildflyOpts >$7 2>&1
fi
